---
author: "UEFF"
title: "Brarri Laughinghand"
date: 2017-04-02T12:00:06+01:00
draft: false
type: "showcase"
---

## General info
| | |
|-|-|
| Name | Brarri Laughinghand |
| Date of birth | 5.7.1 BLC |
| City of birth | [Redkug](/cities/redkug) |
| Nationality | ![Urotha](/images/flags/urotha_small_md.png) [Urotha](/nations/urotha) |
| Race | [Orc](/races/orc) |
| Position | Coach |
| Current club | [ST Redkug](/teams/stredkug) |

## Club career

| Club | Season | League position |
|-|-|-|
| [ST Redkug](/teams/stredkug) | 20 | | |

## Honours

